"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.readModel = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _lodash = _interopRequireDefault(require("lodash.partial"));

var _query = require("./query");

var _withAdapter = require("./with-adapter");

var _withEncryption = require("./with-encryption");

var readModel = function readModel(givenEventsContext, _readModel) {
  var context = (0, _extends2["default"])({}, givenEventsContext, {
    readModel: _readModel
  });
  return {
    query: (0, _lodash["default"])(_query.query, context),
    withAdapter: (0, _lodash["default"])(_withAdapter.withAdapter, context),
    withEncryption: (0, _lodash["default"])(_withEncryption.withEncryption, context),
    then: function then() {
      throw Error("Incomplete BDD test configuration! Please, provide a query.");
    }
  };
};

exports.readModel = readModel;
//# sourceMappingURL=read-model.js.map